Index: trunk/doc/Flair/search/functions_d.js
===================================================================
--- trunk/doc/Flair/search/functions_d.js	(revision 32)
+++ trunk/doc/Flair/search/functions_d.js	(revision 33)
@@ -79,5 +79,5 @@
   ['nexttitle',['nextTitle',['http://qt-project.org/doc/qt-4.8/phonon-mediacontroller.html#nextTitle',0,'Phonon::MediaController']]],
   ['nlerp',['nlerp',['http://qt-project.org/doc/qt-4.8/qquaternion.html#nlerp',0,'QQuaternion']]],
-  ['nmeagps',['NmeaGps',['../classflair_1_1sensor_1_1_nmea_gps.html#a969f2066d4eec611116f3b2a3e52faaf',1,'flair::sensor::NmeaGps']]],
+  ['nmeagps',['NmeaGps',['../classflair_1_1sensor_1_1_nmea_gps.html#a969f2066d4eec611116f3b2a3e52faaf',1,'flair::sensor::NmeaGps::NmeaGps(const core::FrameworkManager *parent, std::string name, NMEAFlags_t NMEAFlags)'],['../classflair_1_1sensor_1_1_nmea_gps.html#a8379a0c343103e38ee8090411d9eefba',1,'flair::sensor::NmeaGps::NmeaGps(const core::IODevice *parent, std::string name)']]],
   ['nodename',['nodeName',['http://qt-project.org/doc/qt-4.8/qdomnode.html#nodeName',0,'QDomNode']]],
   ['nodesbyidref',['nodesByIdref',['http://qt-project.org/doc/qt-4.8/qsimplexmlnodemodel.html#nodesByIdref',0,'QSimpleXmlNodeModel::nodesByIdref()'],['http://qt-project.org/doc/qt-4.8/qabstractxmlnodemodel.html#nodesByIdref',0,'QAbstractXmlNodeModel::nodesByIdref()']]],
@@ -88,5 +88,5 @@
   ['normalexit',['normalExit',['http://qt-project.org/doc/qt-4.8/q3process.html#normalExit',0,'Q3Process']]],
   ['normalgeometry',['normalGeometry',['http://qt-project.org/doc/qt-4.8/qwidget.html#normalGeometry-prop',0,'QWidget']]],
-  ['normalize',['Normalize',['../classflair_1_1core_1_1_quaternion.html#aa540ffe227bbacd124c77f95d8c720b3',1,'flair::core::Quaternion::Normalize()'],['../classflair_1_1core_1_1_vector2_d.html#afe22b1f414ccc721a65b014a57cb0fdf',1,'flair::core::Vector2D::Normalize()'],['../classflair_1_1core_1_1_vector3_d.html#ac366fd091759be0c39ef8d342f5d2007',1,'flair::core::Vector3D::Normalize()'],['http://qt-project.org/doc/qt-4.8/qvector3d.html#normalize',0,'QVector3D::normalize()'],['http://qt-project.org/doc/qt-4.8/qdomnode.html#normalize',0,'QDomNode::normalize()'],['http://qt-project.org/doc/qt-4.8/qrect-qt3.html#normalize',0,'QRect::normalize()'],['http://qt-project.org/doc/qt-4.8/qvector2d.html#normalize',0,'QVector2D::normalize()'],['http://qt-project.org/doc/qt-4.8/qvector4d.html#normalize',0,'QVector4D::normalize()'],['http://qt-project.org/doc/qt-4.8/qquaternion.html#normalize',0,'QQuaternion::normalize()']]],
+  ['normalize',['normalize',['http://qt-project.org/doc/qt-4.8/qvector3d.html#normalize',0,'QVector3D::normalize()'],['http://qt-project.org/doc/qt-4.8/qdomnode.html#normalize',0,'QDomNode::normalize()'],['http://qt-project.org/doc/qt-4.8/qrect-qt3.html#normalize',0,'QRect::normalize()'],['http://qt-project.org/doc/qt-4.8/qvector2d.html#normalize',0,'QVector2D::normalize()'],['http://qt-project.org/doc/qt-4.8/qvector4d.html#normalize',0,'QVector4D::normalize()'],['http://qt-project.org/doc/qt-4.8/qquaternion.html#normalize',0,'QQuaternion::normalize()'],['../classflair_1_1core_1_1_quaternion.html#aa540ffe227bbacd124c77f95d8c720b3',1,'flair::core::Quaternion::Normalize()'],['../classflair_1_1core_1_1_vector2_d.html#afe22b1f414ccc721a65b014a57cb0fdf',1,'flair::core::Vector2D::Normalize()'],['../classflair_1_1core_1_1_vector3_d.html#ac366fd091759be0c39ef8d342f5d2007',1,'flair::core::Vector3D::Normalize()']]],
   ['normalized',['normalized',['http://qt-project.org/doc/qt-4.8/qvector3d.html#normalized',0,'QVector3D::normalized()'],['http://qt-project.org/doc/qt-4.8/qstring.html#normalized',0,'QString::normalized(NormalizationForm mode) const'],['http://qt-project.org/doc/qt-4.8/qstring.html#normalized-2',0,'QString::normalized(NormalizationForm mode, QChar::UnicodeVersion version) const'],['http://qt-project.org/doc/qt-4.8/qrect.html#normalized',0,'QRect::normalized()'],['http://qt-project.org/doc/qt-4.8/qrectf.html#normalized',0,'QRectF::normalized()'],['http://qt-project.org/doc/qt-4.8/qvector2d.html#normalized',0,'QVector2D::normalized()'],['http://qt-project.org/doc/qt-4.8/qvector4d.html#normalized',0,'QVector4D::normalized()'],['http://qt-project.org/doc/qt-4.8/qquaternion.html#normalized',0,'QQuaternion::normalized()']]],
   ['normalizedpos',['normalizedPos',['http://qt-project.org/doc/qt-4.8/qtouchevent-touchpoint.html#normalizedPos',0,'QTouchEvent::TouchPoint']]],
Index: trunk/doc/Flair/search/functions_f.js
===================================================================
--- trunk/doc/Flair/search/functions_f.js	(revision 32)
+++ trunk/doc/Flair/search/functions_f.js	(revision 33)
@@ -113,5 +113,5 @@
   ['physicalheight',['physicalHeight',['http://qt-project.org/doc/qt-4.8/qscreen.html#physicalHeight',0,'QScreen']]],
   ['physicalwidth',['physicalWidth',['http://qt-project.org/doc/qt-4.8/qscreen.html#physicalWidth',0,'QScreen']]],
-  ['picture',['Picture',['../classflair_1_1gui_1_1_picture.html#a6ee56525b149244b23bf84a3bf224124',1,'flair::gui::Picture::Picture()'],['http://qt-project.org/doc/qt-4.8/q3iconviewitem.html#picture',0,'Q3IconViewItem::picture()'],['http://qt-project.org/doc/qt-4.8/qpictureio.html#picture',0,'QPictureIO::picture()'],['http://qt-project.org/doc/qt-4.8/qlabel.html#picture',0,'QLabel::picture()']]],
+  ['picture',['picture',['http://qt-project.org/doc/qt-4.8/q3iconviewitem.html#picture',0,'Q3IconViewItem::picture()'],['http://qt-project.org/doc/qt-4.8/qpictureio.html#picture',0,'QPictureIO::picture()'],['http://qt-project.org/doc/qt-4.8/qlabel.html#picture',0,'QLabel::picture()'],['../classflair_1_1gui_1_1_picture.html#a6ee56525b149244b23bf84a3bf224124',1,'flair::gui::Picture::Picture()']]],
   ['pictureformat',['pictureFormat',['http://qt-project.org/doc/qt-4.8/qpicture-obsolete.html#pictureFormat',0,'QPicture::pictureFormat()'],['http://qt-project.org/doc/qt-4.8/qpictureio.html#pictureFormat',0,'QPictureIO::pictureFormat(const QString &amp;fileName)'],['http://qt-project.org/doc/qt-4.8/qpictureio.html#pictureFormat-2',0,'QPictureIO::pictureFormat(QIODevice *d)']]],
   ['pid',['Pid',['../classflair_1_1filter_1_1_pid.html#a6505c295f5e719f1d85620b44c62d619',1,'flair::filter::Pid::Pid()'],['http://qt-project.org/doc/qt-4.8/qprocess.html#pid',0,'QProcess::pid()']]],
Index: trunk/include/FlairCore/Map.h
===================================================================
--- trunk/include/FlairCore/Map.h	(revision 32)
+++ trunk/include/FlairCore/Map.h	(revision 33)
@@ -77,4 +77,6 @@
   void ExtraXmlEvent(void);
 
+  void removeCheckpoint(size_t index);
+
   std::vector<core::GeoCoordinate *> checkpoints;
   std::vector<const core::GeoCoordinate *> to_draw;
Index: trunk/include/FlairCore/Widget.h
===================================================================
--- trunk/include/FlairCore/Widget.h	(revision 32)
+++ trunk/include/FlairCore/Widget.h	(revision 33)
@@ -143,4 +143,13 @@
   virtual void XmlEvent(void){};
 
+  /*!
+   * \brief Unset a persistent xml property
+   * 
+   * Unset an existent property, so it won't be saved.
+   *
+   * \param prop property to set
+   */
+  void UnsetPersistentXmlProp(std::string prop);
+
 private:
   class Widget_impl *pimpl_;
